#if TEXTMESHPRO_SUPPORT

using UnityEditor;
namespace UnityEngine.UI
{
    [CustomEditor(typeof(UXTextMeshPro), true)]
    [CanEditMultipleObjects]
    internal class UXTextMeshProEditor : TMPro.EditorUtilities.TMP_EditorPanelUI
    {
        private SerializedProperty text;
        private SerializedProperty localizationID;

        protected override void OnEnable()
        {
            text = serializedObject.FindProperty("m_text");
            localizationID = serializedObject.FindProperty("m_localizationID");
            base.OnEnable();
        }

        public override void OnInspectorGUI()
        {
            serializedObject.Update();


            EditorGUILayout.PropertyField(localizationID);


            serializedObject.ApplyModifiedProperties();
            base.OnInspectorGUI();
        }
    }
}
#endif
